Bug 971132 - Hadoop JobTracker GUI (port 50030) job counters have incorrect values
Hadoop JobTracker GUI (port 50030) job counters have incorrect values
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: gluster-hadoop (Show other bugs)
mainline
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Bradley Childs
Martin Kudlej
:
Depends On:
Blocks: 1057253
  Show dependency treegraph
 
Reported: 2013-06-05 14:52 EDT by Diane Feddema
Modified: 2014-03-03 11:31 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-03 11:31:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Diane Feddema 2013-06-05 14:52:39 EDT
Description of problem:
Hadoop JobTracker GUI (port 50030) is reporting incorrect job counter values for some counters.  Some examples include:

"SPLIT_RAW_BYTES" is a negative number (this is a count and should be a positive integer)

"Bytes Read" is zero for jobs that are reading data. 

"Rack-local map tasks" is reported however, Hadoop-glusterfs does not have rack awareness. 

"Data-local map tasks" is not reported

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.Run a mapreduce job

2.open a web brower port 50030 for node running your jobtracker
for example:
http://gprfs001.sbu.lab.eng.bos.redhat.com:50030/

3. under "Completed Jobs" click on a jobid and view the job counters for that job.

Actual results:
Incorrect hadoop job counter values displayed in JobTracker GUI

Expected results:
Correct hadoop job counter values displayed in JobTracker GUI



Additional info:
Comment 2 Steve Watt 2013-08-22 15:16:33 EDT
This is a counters issue. We should have full counter support with the new plugin rearchitecture. I suspect, this is no longer an issue.
Comment 3 Bradley Childs 2013-08-29 10:44:43 EDT
Fixed in latest redesign using the (Raw)LocalFileSystem.

Note You need to log in before you can comment on or make changes to this bug.